import { Hooks } from './useStore.js';
import { NostrStore } from '../schema/types.js';
export declare function useNostrStore(defaults: NostrStore, hooks?: Hooks<NostrStore>): {
    getProfile: () => Promise<import("../schema/types.js").Profile | undefined>;
    setProfile: (updates: Partial<import("../schema/types.js").Profile>) => Promise<void>;
    login: {
        withExt: () => Promise<void>;
        withPubKey: (pubkey: string) => void;
        withSecKey: (seckey: string) => void;
        generateKey: () => void;
    };
    logout: () => void;
    client: {
        connected: () => Promise<boolean>;
        publish: (event: Partial<import("nostr-tools").EventTemplate>) => Promise<import("nostr-tools").Event | undefined>;
        get: (filter: import("nostr-tools").Filter) => Promise<import("nostr-tools").Event | null>;
        list: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Event[]>;
        pub: (event: import("nostr-tools").Event) => Promise<import("nostr-tools").Pub>;
        sub: (filters: import("nostr-tools").Filter[]) => Promise<import("nostr-tools").Sub>;
    };
    reset: (store: Partial<NostrStore>) => void;
    setError: (err: string | Error) => void;
    store: NostrStore;
    update: (store: Partial<NostrStore>) => void;
};
//# sourceMappingURL=useNostr.d.ts.map